Subject: [MEXT] I-D Action: draft-ietf-mip6-hareliability-09.txt

From: [email-masked]
Date: Tue, 10 May 2011 10:39:14 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Mobility EXTensions for IPv6 Working Group of the IETF.

	Title           : Home Agent Reliability Protocol (HARP)
	Author(s)       : Ryuji Wakikawa
	Filename        : draft-ietf-mip6-hareliability-09.txt
	Pages           : 44
	Date            : 2011-05-10

   The home agent can be a single point of failure when Mobile IPv6 and
   its associated supporting protocols are operated in a system.  It is
   critical to provide home agent reliability in the event of a home
   agent crashing or becoming unavailable.  This would allow another
   home agent to take over and continue providing service to the mobile
   nodes.  This document describes the problem scope briefly, and
   provides mechanisms of home agent failure detection, home agent state
   transfer, and home agent switching for home agent redundancy and
   reliability.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mip6-hareliability-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-mip6-hareliability-09.txt

---

From: Ryuji Wakikawa <[email-masked]>
Date: Tue, 10 May 2011 13:28:13 -0700

Hi all

This submission is just to keep the ID active. 
We didn't modify the document. 

ryuji

Begin forwarded message:

> From: [email-masked]
> Date: 2011/05/10 10:39:14GMT-07:00
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-mip6-hareliability-09.txt
> Reply-To: [email-masked]
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: <[email-masked]>
Date: Wed, 11 May 2011 18:13:58 +0200

Dear Ryuji,
Thanks for that ;-) - since the HARP draft is also referenced in Romains DMM draft I took a closer look at it detecting some - mostly very minor - typos resp. nits  ... Which may be considered for the next 'real' modification:

Page 4:
can accomodate => can accommodate

Page 8:
detect active => detect actively
[RFC- 3775, => [RFC-3775,

Page 9:
HSRP [RFC- 2281] => HSRP [RFC-2281]

Page 10:
For example, =>         This applies to, for example,

Page 11, Figure 3
|------->|      |      | 4. HA2 sends SW-COMP => |<-------|      |      | 4. HA2 sends SW-COMP (optional)

At least in the text below step 4 is described as optional - whereas step 7 is marked optional in the Figure, but not the text ...

A question here would be whether there is no HA-HELLO exchange within the HA set required after switch-over/switch-back of the active HA?

Page 16:
rollover occurrs => rollover occurs

Page 17:
HA- HELLO with => HA-HELLO with

Page 20:
(Binding Identifier Option [RFC-5648] => (Binding Identifier Option [RFC-5648])

Page 24:
If there are a => If there is a

Page 25:
using The IKEv2 => using the IKEv2
standby home Agent => standby home agent
vendor- specific => vendor-specific

Page 26:
o  Count IPv6 IPv6 Addr => ? (is this meant to state that IPv4 is not appliable here, since in RFC-5798 it is defined as 'Count IPvX Addr')
o  Max Advert Int => o  Max Adver Int (as defined in RFC-5798)

Page 27:
same as one in [RFC-3775] => same one as in [RFC-3775] (?)

Page 31:
 4: Home Agent HELLO =>  5: Home Agent HELLO

Page 40:
[RFC5723] => [RFC-5723] (just to be consistent throughout the document)

Just my 2 cents ;-)

Best regards
Dirk

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Ryuji Wakikawa
Gesendet: Dienstag, 10. Mai 2011 22:28
An: [email-masked] MEXT WG ML
Betreff: [MEXT] Fwd: I-D Action: draft-ietf-mip6-hareliability-09.txt

Hi all

ryuji

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext